@charset "UTF-8";
@viewport {
  width: device-width;
}
html {
	height: 100%;
}
.body {
	background: #f5f5f5;
	color: #333;
	font-family: 'Raleway', sans-serif;
	font-size: 16px;
	font-weight: 500;
	height: 100%;
	margin: 0;
}
.body__white {
	background: white;
}

/* colors */

.colornorm {
    color: #333;
}
.green {
	color: #a1c820;
}
.blue {
	color: #3fa9f5;
}
.bg_blue {
	background: #3fa9f5;
}
.red {
	color: #ff6347;
}
.bg_red {
	background: #ff6347;
}
.yellow {
	color: #fff207;
}
.palegreen {
	color: #e6f1cb;
}
.palered {
	color: #FFE0E0;
}
.paleyellow {
    color: #FFF4B2;
}
.faintgrey {
	color: #f5f5f5;
}
.lightgrey {
	color: #eee;
}
.mediumgrey {
	color: #ddd;
}
.darkgrey {
	color: #ccc;
}
.greye {
    color: #eee;
}
.greyd {
    color: #ddd;
}
.greyc {
    color: #ccc;
}
.greya {
    color: #aaa;
}
.grey9 {
    color: #999;
}
.grey8 {
    color: #888;
}
.grey7 {
    color: #777;
}
.grey5 {
    color: #555;
}
.grey4 {
    color: #444;
}
.grey3 {
    color: #333;
}
.white {
	color: white;;
}
.bg_palegreen {
	background: #e6f1cb;
}
.bg_verypalegreen {
	background: #F4FCDC;
}
.bg_palered {
	background: #FFE0E0;
}
.bg_verypalered {
	background: #F8EFEE;
}
.bg_faintgrey {
	background: #f5f5f5;
}
.bg_white {
	background: #fff;
}

/* text */

a {
}
h1 {
	font-size: 30px;
	font-weight: 700;
	margin-bottom: 20px;
}
h2 {
	font-size: 27px;
	font-weight: 700;
	margin-bottom: 20px;
}
h3 {
	font-size: 25px;
	font-weight: 700;
	margin-bottom: 20px;
}
h4 {
	font-size: 22px;
	font-weight: 700;
	margin-bottom: 20px;
}
h5 {
	font-size: 17px;
	font-weight: 700;
	margin-bottom: 20px;
}
.text {
	text-decoration: none;
	font-weight: 500;
	line-height: 22px;
}
.text p {
	margin-bottom: 20px;
}
.text__bold {
	font-weight: 700;	
}
.text__light {
	color: #777;
}
.text__lhsmall {
	line-height: 17px;
}
.bluelinks a {
	color: #3fa9f5;
}
.greenlinks a {
	color: #a1c820;
}
.redlinks a {
	color: #ff6347;
}
.greylinks a {
	color: #222;
}
.hov__bggrey1:hover {
    background: #f5f5f5;
}

/* page structure */

.main {
	margin-top: 60px;
	margin-left: 170px; 
	position: relative;
	height: 100%;
}
.main__widesidebar {
    margin-left: 250px;
}
.main__nosidebar {
    margin-left: 0;
}
.content {
	width: 1030px;
	padding: 30px;
}
.content__wide {
	padding: 30px;
}
.content--breadcrumb {
    margin-bottom: 15px;
    font-size: 15px;
    color: #ccc;
}
.content--breadcrumb a {
    color: #999;
}
header {
	transition: top 0.2s ease-in-out;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 60px;
    z-index: 9000;
}
.nav-up {
    top: -60px;
}
.widepage--container {
    margin: 0 auto;
    max-width: 1270px;
}
.medwidepage--container {
    margin: 0 auto;
    max-width: 800px;
}
.smallwidepage--container {
    margin: 0 auto;
    max-width: 600px;
}

/* article */

.article--container {
	display: block;
	width: 100%;
}
.article--mainimage {
	width: 100%;
	height: 300px;
    background-repeat: no-repeat;
    background-position: center; 
    margin: 0 0 40px 0;
}
.article--inner {
	max-width: 1300px;
	margin: 0 auto;
	padding: 30px 30px 50px 30px;
}
.article h1 {
	text-align: center;
	font-size: 50px;
}
.article--description {
	font-size: 30px;
	line-height: 40px;
	color: #888;
	font-weight: 400;
	text-align: center;
	margin: 30px auto 40px auto;
}
.article--sidebar {
	display: inline-block;
	vertical-align: top;
	font-size: 15px;
	line-height: normal;
}
.article--sidebar h3 {
	color: #a1c820;
	font-size: 17px;
}
.article--sidebar__left {
	width: 200px;
	margin: 0 30px 30px 0;
}
.article--sidebar__right {
	width: 200px;
	margin: 0 0 30px 0;
}
.article--maincolumn {
	display: inline-block;
	max-width: 770px;
	margin: 0 30px 30px 0;
	vertical-align: top;
}
.article--breadcrumb {
	color: #3fa9f5;
}
.article--content {
	font-size: 20px;
	line-height: 40px;
}
.article--content p {
	margin-bottom: 30px;
}
.article--content a {
	color: #3fa9f5;
}
.article--sidemodule {
	padding: 30px;
	font-size: 15px;
	word-wrap: break-word;
}
.article--promocode {
	background: white;
	border: solid 1px #ddd;
	text-align: center;
	font-weight: 700;
	color: #333;
	padding: 12px 20px;
	display: block;
	width: 160px;
	margin-left: auto;
	margin-right: auto;
}
.article--promocode:hover {
	background: #a1c820;
	color: white;
}
.article--categorynav {
	display: block;
	font-size: 13px;
	background: #a1c820;
	color: white;
	padding: 10px;
	font-weight: 600;
	margin-bottom: 1px;
}
.article--categorynav:hover {
	background: #3fa9f5;	
}
.article--bodyad {
	float: left;
	margin: 10px 20px 20px 0;
}

/* modal */

.modal {
    display: none;
    width: 100%;
    height: 100%;
    background: white;
    padding: 70px 200px 30px 30px;
    text-align: center;
    z-index: 500;
    position: fixed;
    top: 60px;
    left: 170px;
    z-index: 10000;
}
.modal__nosidebar {
	left: 0;
    padding: 70px 30px 30px 30px;
}
.modal--closebutton {
    position: absolute;
    top: 30px;
    right: 200px;	
    color: #ccc;
    font-size: 25px;
}
.modal--closebutton__nosidebar {
    right: 30px;	
}
.modal--block {
	display: inline-block;
	margin: 0 15px 30px 15px;
	width: 250px;
	vertical-align: top;
}
.modal--block__2col {
	display: inline-block;
	margin: 0 15px 30px 15px;
	width: 350px;
	vertical-align: top;
}
.modal--block__1col {
	display: block;
	margin: 0 15px 30px 15px;
	width: 100%;
	vertical-align: top;
}
.modal--middlecol {
    margin: 0 auto;
    width: 400px;
    display: block;
}
.modal--middlecol__wide {
    margin: 0 auto;
    max-width: 600px;
    display: block;
}
.modal--button {
    margin: 0 auto 20px auto;
    width: 400px;
    display: block;
}
.modal--header {
	font-size: 20px;
	font-weight: 700;
	margin: 0 0 10px 0;
	display: block;
}
.modal--item {
	margin: 0 0 5px 0;
	display: block;
}

/* menu */

.menu {
	background: #333;
	width: 170px;
	padding: 30px 20px;
	color:#fff;
	font-size: 15px;
	height: 2000px;
}
.menu--category {
	background: #fff;
	color: #333;
	width: 250px;
	padding: 30px 20px;
	font-size: 13px;
	height: 2000px;
}
.menu__nosidebar {
    display: none;
}
.menu--title {
	font-size: 15px;
}
.menu--breadcrumb {
	font-size: 11px;
	margin:0 0 5px 0;
}
.menu--merchantlogo {
	margin: 0 0 20px 0;
	width: 130px;
}
.menu--categorynavbutton {
	padding: 5px 0;
	color: #333;
	display: block;
	font-size:17px;
    white-space: nowrap; 
    overflow: hidden;
    text-overflow: ellipsis;
}
.menu--categorynavbutton__active {
	color: #a1c820;
	font-weight: 700;
}
.menu--navbutton {
	padding: 5px 0;
	color: #fff;
	display: block;
	font-size:17px;
    white-space: nowrap; 
    overflow: hidden;
    text-overflow: ellipsis;
}
.menu--navbutton__small {
	font-size:15px;
    width: 130px;
}
.menu--navbutton__smaller {
	font-size:13px;
    width: 130px;
}
.menu--navbutton__active {
	color: #a1c820;
	font-weight: 700;
}
.menu--categorylink {
    width: 130px;
    white-space: nowrap; 
    overflow: hidden;
    text-overflow: ellipsis;
}

/* homepage */

.homepage--hero {
    background-image: url('https://web-archive.nli.org.il/National_Library/20161130034600oe_/https://knoji.com/images/hero.jpg');
    height: 40%;
    margin: 60px 0 0 0;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    z-index: 200;
}
.homepage--heroimage1 {
    background-image: url('https://web-archive.nli.org.il/National_Library/20161130034600oe_/https://knoji.com/images/hero.jpg');    
}
.homepage--heroimage2 {
    background-image: url('https://web-archive.nli.org.il/National_Library/20161130034600oe_/https://knoji.com/images/hero2.jpg');    
}
.homepage--heroimage3 {
    background-image: url('https://web-archive.nli.org.il/National_Library/20161130034600oe_/https://knoji.com/images/hero3.jpg');    
}
.homepage--herooverlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    opacity: 0.5;
    z-index: 210;
}
.homepage--heromodule {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 220;
    width: 90%;
    text-align: center;
}
.homepage--herotext {
    color: white;
    font-weight: 700;
    font-size: 45px;
    margin: 0 0 20px 0;
}
.homepage--herosubtext {
    color: white;
    font-weight: 500;
    font-size: 30px;
    margin: 0 0 40px 0;
}
.homepage--leftcol {
    display: inline-block;
    margin: 15px;
    width: 800px;
    vertical-align: top;
}
.homepage--rightcol {
    display: inline-block;
    margin: 15px;
    width: 320px;
    vertical-align: top;
}

/* tabs */

.tab--small {
    display: inline-block;
    padding: 10px 30px;
    text-align: center;
    font-size: 15px;
    background: #eee;
    border-bottom: solid 1px #ddd;
    border-top: solid 2px #eee;
    border-left: solid 1px #eee;
    border-right: solid 1px #eee;
    margin-left: -4px;
}
.tab--small__right {
	float: right;
}
.tab--small__active {
    background: white;
    border-bottom: solid 1px #f5f5f5;
    border-left: solid 1px #ddd;
    border-right: solid 1px #ddd;
    border-top: solid 2px #a1c820;
    margin: 0;
    margin-left: -4px;
}
.tab--line {
    width: 100%;
    display: block;
    border-top: 1px solid #ddd;
    height: 30px;
    margin-top: -1px;
}

/* display merchant */

.displaymerchant--container {
    width: 320px;
    background: white;
    padding: 20px;    
    margin: 0 0 30px 0;
    display: inline-block;
}
.displaymerchant--logo {
    width: 300px;
    border: solid 1px #eee;
    padding: 8px;
    margin: 0 auto;
    background: white;
}

/* top header */

.top {
	background: #fff;
	padding: 0 20px;
	font-size: 17px;
	z-index: 9000;
	height: 60px; 
	z-index: 9000;
	border-bottom: solid 1px #f5f5f5;
}
.top--navlink {
	margin: 22px 0 0 20px;
	display: inline-block;	
}
.top--navlink i {
	color: #aaa;
	margin: 0 5px;
}
.top--right {
	float: right;
	width: 350px;
	text-align: right;
	margin: 20px 0;
}
.logo {
	background-image: url("https://web-archive.nli.org.il/National_Library/20161130034600oe_/https://knoji.com/images/logo-dark-100.png");
	background-repeat: no-repeat;
	margin: 15px 30px 0 10px;
	display: inline-block;
	width: 100px;
	height: 33px;
	float: left;
	opacity: 1.0;
}
.top--avatar {
	border-radius: 50%;
	height: 35px;
	width: 35px;
	margin: 12px 0 0 0; 
	display: inline-block;
	float: right; 
}
.top--menubutton {
    display: inline-block;
    margin: 13px 0 0 40px;
    border: solid 1px #ddd;
    border-radius: 5px;
    padding: 9px;
    color: #aaa;     
}
.top--achievements {
	 float: right;
	 font-size: 17px;
	 color: #777;
	 margin: 17px 20px 0 0 ;
	 line-height: 20px;
}
.top--reputation {
	 float: right;
	 font-size: 17px;
	 color: #777;
	 margin: 17px 20px 0 0 ;
	 line-height: 20px;
}

/* buttons */

.btn {
	text-decoration: none;
	background-color: white;
	color: #fff!important;
	border-radius: 5px;
	display: inline;
	font-size: 20px;
	font-weight: 700;
	padding: 10px 25px;	
	text-align: center;
}
.btn__block {
    display: inline-block;
    margin: 5px;
}
.btn__large {
	font-size: 25px;
	padding: 10px 30px;
}
.btn__small {
	font-size: 17px;
	padding: 7px 22px;		
}
.btn__green {
	background-color: #a1c820;
}
.btn__green:hover {
	background-color: #b2d931;
}
.btn__blue {
	background-color: #3fa9f5;
}
.btn__blue:hover {
	background-color: #4fbaf6;
}
.btn__red {
	background-color: #ff6347;
}
.btn__red:hover {
	background-color: #ff7458;
}
.btn__grey {
	background-color: #aaa;
}
.btn__lightgrey {
	background-color: #eee;
	color: #444;
}
.btn__facebook {
	background: #3B5998;
}
.btn__twitter {
	background: #4099FF;
}
.btn__facebook:hover {
	background: #4c6aa9;
}
.btn__twitter:hover {
	background: #51aaFF;
}

/* widgets */

.repstar {
    color: #a1c820;
    line-height: normal;
    vertical-align: middle;
    margin-right: 3px;
}
.repstar--number {
    display: inline-block;
    line-height: normal;
	vertical-align: middle;
	color: #777;
}
.profilestat {
    width: 110px;
    text-align: center;
}
.profilestat--label {
    clear:both;
    font-size:15px;
    margin-top: 5px;
}
.profilestat--number {
    font-size: 30px;
    color: #777;
}
.profile--avatar {
	border-radius: 50%;
	height: 150px;
	width: 150px;
}
.profile--socialicon {
	margin: 0 7px;
	font-size: 20px;
	color: #ccc;
}

/* modules */

.module {
	background-color: white;
	padding: 30px;
	border-radius: 4px;
	word-wrap: break-word;
}
.module__lightgrey {
	background-color: #fbfbfb;
}
.module__grey {
	background-color: #eee;
}
.module__palegreen {
	background-color: #e6f1cb;
}
.module__palered {
	background-color: #FFE0E0;
}
.module__outline {
	border: solid 1px #eee;
}
.module--answer {
	position: relative;
}

/* notifications */

.notification {
	padding: 20px;
	margin-bottom: 20px;
}
.notification--error {
	background: #FFEDD1;
	color: #ff6347;
}
.notification--default {
	background: #FFF4B2;
	color: #333;
}
.notification--confirm {
	background: #e6f1cb;
	color: #333;
}


/* autocomplete */

 
/* scroll results */
.ui-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: block;
    outline: none;
}
.ui-autocomplete {
    position: absolute;
    top: 0;
    left: 0;
    cursor: default;
    background: white;
    padding: 0;
    width: inherit;
}
.ui-front {
    z-index: 100;
}
.ui-autocomplete li {
    font-size: 20px;
    padding: 15px 20px;
}
.ui-autocomplete li:hover {
    background: #e6f1cb;
    cursor: pointer;
}
 

/* similar sites */

.simsites--merchantlogo {
	margin: 0;
    display: inline-block;
    vertical-align: middle;
	width: 130px;
}
.simsites--usertext {
    display: inline-block;
    width: 175px;
    font-size: 13px;
    vertical-align: top;
}
.simsites--avatar {
    margin-right: 5px;   
}


/* vertical alignment */

.vablock60 {
    display: block;
    line-height: 60px;
}
.vablock70 {
    display: block;
    line-height: 70px;
}
.vablock80 {
    display: block;
    line-height: 80px;
}
.vablock90 {
    display: block;
    line-height: 90px;
}
.vablock100 {
    display: block;
    line-height: 100px;
}
.vablockinner {
    display: inline-block;
    vertical-align: middle;
    line-height: normal;
}
.vatop {
    vertical-align: top;
}

/* profile page */


/* 2 col layout, left col 320 */

.twocol--left {
    display: inline-block;
    width: 320px;
	margin: 0 30px 30px 0;
    vertical-align: top;
}
.twocol--right {
    display: inline-block;
    width: 915px;
    vertical-align: top;
}
.twocol300--left {
    width: 300px;
    position: absolute;
    top: 0;
    left: 0;
}
.twocol300--right {
    margin-left: 330px;
}

/* generic avatar */

.avatar--avatar {
	border-radius: 50%;
	height: 30px;
	width: 30px;
	display: inline-block;
	vertical-align: middle;
	line-height: normal;
	margin: 0 5px 0 0 ;
}
.avatar--text {
	font-size: 16px;	
	display: inline-block;
	vertical-align: middle;
	line-height: normal;
	word-wrap: break-word;
}


/* userbylines */

.userbyline {
	display: block;
	line-height: 22px;
}
.userbyline--avatar {
	border-radius: 50%;
	height: 22px;
	width: 22px;
	display: inline-block;
	vertical-align: middle;
	line-height: normal;
	margin: 0 5px 0 0 ;
}
.userbyline--text {
	font-size: 12px;	
	display: inline-block;
	vertical-align: middle;
	line-height: normal;
	word-wrap: break-word;
}
.userbyline--text__name {
	margin: 0 5px 0 0;
}
.userbyline--text__answers {
	margin: 0 5px;
}
.userbyline--text__time {
	margin: 0 5px 0 0px;
	color: #888;
}
.userbyline--text__answervotes {
	color: #a1c820;
	margin: 0 5px;
}
.avatar {
	border-radius: 50%;
	height: 30px;
	width: 30px;
	display: inline-block;
	vertical-align: middle;
	line-height: normal;    
}

/* feed items */

.feeditem--inner {
    margin-left: 70px;
}
.feeditem--votearrow {
	float:left;
	margin-left: 20px;
	position: absolute;
    top: 30px;
    right: 30px;
}
.feeditem--useravatar {
	border-radius: 50%;
	height: 22px;
	width: 22px;
	display: inline-block;
	vertical-align: top;
	line-height: normal;
	margin: 0 5px 0 0 ;
}
.feeditem--usertext {
	font-size: 12px;	
	display: inline-block;
	vertical-align: top;
	line-height: normal;
	word-wrap: break-word;
    max-width: 638px;    
}
.feeditem--text__name {
	margin: 0 5px 0 0;
}
.repfeeditem--left {
    margin-right: 70px;
}
.repfeeditem--right {
    position: absolute;
    top: 30px;
    right: 30px;
}


/* promo */

.promo--btn {
	float: right;
	margin-top: 15px;
}
.promo--left {
	float: left;
	display: block;
	margin-bottom: 20px;
	max-width: 650px;
}
.promo--codebox {
	border: 0;
	background: #f5f5f5;
	padding: 20px 30px;
	font-size: 40px;
	font-weight: 700;
	text-align: center;
	margin: 10px auto 20px auto;
	display: block;
	width: 400px;
	cursor: pointer;
}

/* star ratings */

.star--container {
	position: relative;
	display: inline-block;
	height: 50px;
	width: 50px;
}
.star {
	position: absolute;
	left: 0;
	right: 0;
	height: 50px;
	width: 50px;
	font-size:50px;
	text-align: center;
}
.star__selected {
	color: #fff207;
	position: relative;
	z-index: 1200;
}
.star__active {
	color: #fff207;
	position: relative;
	z-index: 1100;
}
.star__inactive {
	color: #eee;
	position: relative;
	z-index: 1000;
}
.star-text-container {
	position: relative;
	width:100%;
	margin: 0 auto;
	height:auto;
	margin-bottom: 30px;
}
.star-text-hover {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	text-align: center;	
	z-index: 1000;
}
.star-text-click {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	text-align: center;	
	z-index: 1200;	
	display: none;
}
.star__on {
	color: #fff207;
}
.star__off {
	color: #eee;
}

/* vote buttons */

.votearrow--wrapper {
	float:left;
	margin-right: 20px;
	position: absolute;
	left: 30px; top: 30px;
}
.votearrow--container {
	position:relative;
	height:30px;
	width:50px;
	display:block;
	margin-bottom: 5px;
}

.votearrow {
	position:absolute;
	z-index:1000;
	top:0px;
	left:0px;
	display:block;
	height:30px;
	width:50px;
	text-align: center;
	background-color:#e6f1cb;
	color: #a1c820;
	border-radius: 5px;
	padding-top:1px;
	font-size: 30px;
}
.votearrow:hover {
	background: #a1c820;
	color: white;
}
.votearrow_selected {
	position:absolute;
	z-index:1100;
	display:none;
	text-align: center;
	top:0px;left:0px;
	height:30px;width:50px;
	background:#3fa9f5;
	color: #fff;
	border-radius: 5px;
	padding-top:1px;
}

/* answers */

.answer--body {
	margin-left: 70px;
}
.answer--showvotes {
	font-size: 13px;
}

/* comments */

.comment--body {
	margin-left: 70px;
}
.comment--showvotes {
	font-size: 13px;
}

/* images */

.circular--square {
	border-radius: 50%;
}

/* inputs */

.label {
    margin-bottom: 10px;
    font-size:15px;
	display: block;
}
input:focus,
select:focus,
textarea:focus,
button:focus {
    outline: none;
}
.input:focus {
	border-bottom: 1px solid #a1c820;
	
}
.input {
	border: none;
	padding: 15px 10px;
	border-bottom: 1px solid #ddd;
}
.boxinput {
	border: solid 1px #ddd;
	padding: 15px 20px;
	color: #777;
}
.submit {
	border: none;
	background: #3fa9f5;
	padding: 10px 20px;
	color: white;
	border-radius: 5px;
	font-weight: 600;
}
.submit__red {
	background: #ff6347;
}
.submit__green {
	background: #a1c820;
}
.checkbox {
	border: solid 1px #ddd;
	height: 15px;
	width: 15px;
}

/* compare */

.compare--row {
    background: white;
    border-bottom: solid 1px #eee;
    display: table;
    table-layout: fixed;
    word-wrap: break-word;
    width: 100%;
}
.compare--column {
   display: table-cell; 
   padding: 40px 30px;
}
.compare--ratingmodule {
    position: absolute;
    top: 40px;
    left: 30px;
    width: 100px;
    text-align: center;    
}
.compare--textmodule {
    display: inline-block;
    margin-left: 130px;
    vertical-align: top;
    font-size: 15px;
}

/* text editor */

.fr-view p {
    margin-bottom: 20px;
}
.fr-view li {
    margin: 0 0 7px 0;
    padding: 0 0 0 17px;
    position: relative;
}
.fr-view ul,ol {
    margin: 10px 0 20px 20px;
}
.fr-view li::before {
    content: '●';
    display: block;
    left: 0;
    position: absolute;
    top: 0;
}
.fr-view ol {
    counter-reset: item;
}
.fr-view ol li::before {
    content: counter(item) '.';
    counter-increment: item;
}

/* pagination */

.pagination_key {
    display: inline-block;
    padding: 15px 20px;
    border: solid 1px #ddd;
    background: white;
    text-align: center;
    font-size: 20px;
    color: #aaa;
}
.pagination_key--selected {
    background: #a1c820;
    color: white;
    border-color: #a1c820;
}
.pagination_key:hover {
    background: #e6f1cb;
    color: #a1c820;
}
.pagination_spacer {
    display: inline-block;
    padding: 15px 20px;
    border: none;
    background: none;
    text-align: center;
    font-size: 20px;
    color: #ddd;
}

/* tables */

.row {    
  display: table;
  table-layout: fixed;
  word-wrap: break-word;
  width: 100%;
}
.column { 
  display: table-cell; 
  padding: 10px;
}
.row--compare {
    background: white;
    border-bottom: solid 1px #eee;
}


/* masonry */

.masonry { /* Masonry container */
    column-count: 4;
    column-gap: 20px;
}

.masonry--item { /* Masonry bricks or child elements */
    background-color: #eee;
    display: inline-block;
    margin: 20px;
    padding: 20px;
    width: 100%;
}

/* miscellaneous */

.clearfix::after {
    content: "";
    clear: both;
    display: table;
}
.cl {
    clear: both;
}
.dnone {
	display: none;
}
.dblock {
	display: block;
}
.diblock {
	display: inline-block;
}
.dinline {
	display: inline;
}
i[class^="icon-"]:before, i[class*=" icon-"]:before {
  margin: 0;
}
.opaque {
	opacity: 1.0;
}
.fl {float:left;}
.fr {float:right;}
.cl {clear:both;}
.mr1 {margin-right:1px;}.mr2 {margin-right:2px;}.mr3 {margin-right:3px;}.mr4 {margin-right:4px;} .mr5 {margin-right:5px;} .mr8 {margin-right:8px;} .mr10 {margin-right:10px;}.mr12 {margin-right:12px;} .mr15 {margin-right:15px;} .mr20 {margin-right:20px;} .mr25 {margin-right:25px;} .mr30 {margin-right:30px;}.mr40 {margin-right:40px;}.mr50 {margin-right:50px;} .mrauto{margin-right:auto;}
.mt0 {margin-top:0;}.mt1 {margin-top:1px;}.mt2 {margin-top:2px;}.mt3 {margin-top:3px;}.mt4 {margin-top:4px;} .mt5 {margin-top:5px;}.mt6 {margin-top:6px;}.mt7 {margin-top:7px;} .mt8 {margin-top:8px;} .mt10 {margin-top:10px;} .mt15 {margin-top:15px;} .mt17 {margin-top:17px;} .mt20 {margin-top:20px;}.mt22 {margin-top:22px;}.mt23 {margin-top:23px;} .mt25 {margin-top:25px;} .mt30 {margin-top:30px;} .mt35 {margin-top:35px;}  .mt40 {margin-top:40px;}  .mt50 {margin-top:50px;}
.mtn10{margin-top: -10px;}.mtn20{margin-top: -20px;}.mtn30{margin-top: -30px;}.mtn40{margin-top: -40px;}
.mb0 {margin-bottom:0;}.mb3 {margin-bottom:3px;} .mb5 {margin-bottom:5px;} .mb8 {margin-bottom:8px;} .mb10 {margin-bottom:10px;} .mb15 {margin-bottom:15px;} .mb20 {margin-bottom:20px;} .mb25 {margin-bottom:25px;} .mb30 {margin-bottom:30px;} .mb40 {margin-bottom:40px;} .mb50 {margin-bottom:50px;}
.ml3 {margin-left:3px;} .ml5 {margin-left:5px;} .ml8 {margin-left:8px;} .ml10 {margin-left:10px;} .ml15 {margin-left:15px;} .ml20 {margin-left:20px;} .ml25 {margin-left:25px;} .ml30 {margin-left:30px;}.ml40 {margin-left:40px;}.ml50 {margin-left:50px;} .mlauto{margin-left:auto;}
.bb {border-bottom:solid 1px #ddd;}.bbfff {border-bottom:solid 1px #fff;} .bb3fff {border-bottom:solid 3px #fff;}
.bbmed {border-bottom:solid 1px #ccc;}
.bb2 {border-bottom:solid 1px #eee;width:90%;}
.bb3 {border-bottom:solid 1px #eee;width:100%;}
.br {border-right:solid 1px #ddd;}
.border {border:solid 1px #ddd;}
.bbddd {border-bottom: solid 1px #ddd;} .bbeee {border-bottom: solid 1px #eee;}
.sp1 {height:1px;}.sp2 {height:2px;}.sp3 {height:3px;}.sp5 {height:5px;}.sp7 {height:7px;}.sp8 {height:8px;}.sp10 {height:10px;}.sp15 {height:15px;}.sp20 {height:20px;}.sp25 {height:25px;}.sp30 {height:30px;}.sp40 {height:40px;}.sp50 {height:50px;}
.spddd {height: 1px; background: #ddd;}
.pd0 {padding:0;} .pd1 {padding:1px;}.pd2 {padding:2px;}.pd3 {padding:3px;} .pd5 {padding:5px;} .pd8 {padding:8px;} .pd10 {padding:10px;} .pd15 {padding:15px;} .pd20 {padding:20px;} .pd25 {padding:25px;} .pd30 {padding:30px;}
.pb0 {padding-bottom: 0px;} .pb1 {padding-bottom:1px;}.pb2 {padding-bottom:2px;}.pb3 {padding-bottom:3px;}.pb5 {padding-bottom:5px;}.pb7 {padding-bottom:7px;}.pb8 {padding-bottom:8px;}.pb10 {padding-bottom:10px;}.pb15 {padding-bottom:15px;}.pb20 {padding-bottom:20px;}.pb25 {padding-bottom:25px;}.pb30 {padding-bottom:30px;}
.pt1 {padding-top:1px;}.pt2 {padding-top:2px;}.pt3 {padding-top:3px;}.pt5 {padding-top:5px;}.pt7 {padding-top:7px;}.pt8 {padding-top:8px;}.pt10 {padding-top:10px;}.pt15 {padding-top:15px;}.pt20 {padding-top:20px;}.pt25 {padding-top:25px;}.pt30 {padding-top:30px;}
.pr1 {padding-right:1px;}.pr2 {padding-right:2px;}.pr3 {padding-right:3px;}.pr5 {padding-right:5px;}.pr7 {padding-right:7px;}.pr8 {padding-right:8px;}.pr10 {padding-right:10px;}.pr15 {padding-right:15px;}.pr20 {padding-right:20px;}.pr25 {padding-right:25px;}.pr30 {padding-right:30px;}
.pl1 {padding-left:1px;}.pl2 {padding-left:2px;}.pl3 {padding-left:3px;}.pl5 {padding-left:5px;}.pl7 {padding-left:7px;}.pl8 {padding-left:8px;}.pl10 {padding-left:10px;}.pl15 {padding-left:15px;}.pl20 {padding-left:20px;}.pl25 {padding-left:25px;}.pl30 {padding-left:30px;}
.w10 {width:10px;} .w20 {width:20px;} .w30 {width:30px;} .w50 {width:50px;} .w75 {width:75px;} .w100 {width:100px;} .w150 {width:150px;} .w160 {width:160px;} .w170 {width:170px;} .w175 {width:175px;} .w180 {width:180px;} .w190 {width:190px;} .w195 {width:195px;} .w200 {width:200px;} .w250 {width:250px;} .w260 {width:260px;} .w270 {width:270px;} .w280 {width:280px;} .w290 {width:290px;} .w300 {width:300px;} .w350 {width:350px;} .w400 {width:400px;} .w420 {width:420px;} .w430 {width:430px;} .w450 {width:450px;} .w500 {width:500px;} .w550 {width:550px;} .w600 {width:600px;} .w650 {width:650px;} .w700 {width:700px;} .w750 {width:750px;} .w800 {width:800px;} .w850 {width:850px;} .w900 {width:900px;} .w950 {width:950px;} .w1000 {width:1000px;}   
.w100p {width: 100%;}
.h100 {height: 100px;} .h150 {height: 150px;} .h200 {height: 200px;} .h250 {height: 250px;}  .h300 {height: 300px;} .h400 {height: 400px;} .h500 {height: 500px;} .h600 {height: 600px;} .h700 {height: 700px;}
.bgfff {background: #fff;} .bgeee {background: #eee;} .bgddd {background: #ddd;}
.coloreee {color: #eee;} .colorddd {color: #ddd;} .color555 {color: #555;} .color777 {color: #777;} .coloraaa {color: #aaa;}

.ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.norm {font-weight:500;}
.bold {font-weight:700;}
.italic {font-style: italic;}
.semibold {font-weight:600;}
.medium {font-weight:500;}
.em {font-style:italic;}
.fs10 {font-size:10px;}.fs11 {font-size:11px;}.fs12 {font-size:12px;}.fs13 {font-size:13px;}.fs14 {font-size:14px;}.fs15 {font-size:15px;}.fs16 {font-size:16px;}.fs17 {font-size:17px;}.fs18 {font-size:18px;}.fs20 {font-size:20px;}.fs22 {font-size:22px;}.fs24 {font-size:24px;}.fs25 {font-size:25px;}.fs30 {font-size:30px;}.fs35 {font-size:35px;}.fs40 {font-size:40px;}.fs45 {font-size:45px;}.fs50 {font-size:50px;}.fs60 {font-size:60px;}.fs70 {font-size:70px;}.fs80 {font-size:80px;}.fs90 {font-size:90px;}.fs100 {font-size:100px;}
.underline {text-decoration: underline;}
.tacenter {text-align:center;}
.taright {text-align:right;}
.taleft {text-align:left;}
.i20 i {font-size:20px;}
.mauto {margin-left: auto; margin-right: auto;}
.valignm {
    display: inline-block;
    line-height: normal;
	vertical-align: middle;
}
.vamiddle {
	vertical-align: middle;
}
.vamiddle30 {
	vertical-align: middle;
	line-height: 30px; 
}
.vamiddle45 {
	vertical-align: middle;
	line-height: 45px; 
}
.vamiddle40 {
	vertical-align: middle;
	line-height: 40px; 
}
.vamiddle50 {
	vertical-align: middle;
	line-height: 50px; 
}
.vamiddle60 {
	vertical-align: middle;
	line-height: 60px; 
}
.vamiddle60 {
	vertical-align: middle;
	line-height: 100px; 
}
.lhnormal {
	line-height: normal;
}
.lh30 { line-height: 30px; } .lh35 { line-height: 35px; } .lh40 { line-height: 40px; } .lh45 { line-height: 45px; } .lh50 { line-height: 50px; }
.prelative {
	position: relative;
}
.prel {
	position: relative;
}
.pabsolute_right {
	position: absolute;
	top: 0;
	right: 0;
}
.pabsolute_left {
	position: absolute;
	top: 0;
	left: 0;
}
.dby { background: yellow; } .dbg { background: green; } .dbb { background: blue; } .dbr { background: red; }

/* media queries */

@media only screen and (max-width: 1200px) {
	.article--sidebar__left {
		display: none;	
	}
}
@media only screen and (max-width: 800px) {
	.main {
		margin-left: 0;
	}
	.main--widesidebar {
		margin-left: 0;
	}
	.menu {
		margin-left: -170px;
	}
	.menu--wide {
		margin-left: -250px;
	}
	.top--right__ask {
		display: none;
	}
	.top--menubutton {
	    margin: 13px 0 0 20px;
	}
	.logo {
		margin: 15px 0px 0 0px;
		width: 100px;
		height: 33px;
	}
    .modal {
        left: 0px;
    }
    .modal--closebutton {
        right: 30px;
    }
	.homepage--herotext {
		font-size: 20px;
	}
	.homepage--herosubtext {
		display: none;
	}
	.homepage--leftcol {
	    width: 100%;
	}
	.twocol--right {
	    width: 100%;
	}
    .feeditem--userbyline {
        width: 100%;    
    }
	.top--askbutton {
		display: none;
	}
	.top--achievements {
		display: none;
	}
	.top--reputation {
		display: none;
	}
	.article--sidebar__left {
		display: none;	
	}

}
@media only screen and (max-width: 1200px) {
	.content {
		width: 100%;
	}
}


